End User License Agreement
PyChronos End User License Agreement

The following End User License Agreement (the “Agreement”) governs Your use of the Software (as defined below) provided to You by ChronosDB, LLC, an Delaware Corporation (“ChronosDB”).

BY ACCEPTING THIS AGREEMENT, EITHER BY CLICKING A BOX INDICATING YOUR ACCEPTANCE OR BY EXECUTING A WRITTEN AGREEMENT WITH CHRONOSDB THAT REFERENCES THIS AGREEMENT, YOU AGREE TO THE TERMS OF THIS AGREEMENT. IF YOU ARE ENTERING INTO THIS AGREEMENT ON BEHALF OF A COMPANY OR OTHER LEGAL ENTITY, YOU REPRESENT THAT YOU HAVE THE AUTHORITY TO BIND SUCH ENTITY AND ITS AFFILIATES TO THESE TERMS AND CONDITIONS, IN WHICH CASE THE TERMS “YOU” OR “YOUR” SHALL REFER TO SUCH ENTITY AND ITS AFFILIATES. IF YOU DO NOT HAVE SUCH AUTHORITY, OR IF YOU DO NOT AGREE WITH THESE TERMS AND CONDITIONS, YOU MUST NOT ACCEPT THIS AGREEMENT AND MAY NOT USE THE SERVICES.

This Agreement was last updated on June 14th, 2020. It is effective between You and ChronosDB as of the date of You accepting this Agreement.

1. DEFINITIONS

“Authorized Use Limits” means the specific level of use at which You are authorized to execute or run the Software. This level may be measured by any combination of the following: individual named users, maximum concurrent users, license term (i.e. perpetual or limited duration), authorized use restrictions (open source projects or commercial use) or any other level of use as specified by ChronosDB at the time of Your entering into this Agreement.

“Documentation” means any online help files or written instruction manuals and other standard end user written materials regarding the Software that may be provided by ChronosDB from time to time that is posted online or included with the software.

“License Term” means the time period that the Software is licensed to You, as specified by ChronosDB at the time of Your entering into this Agreement.

“Software” means the particular version of the ChronosDB proprietary software program supplied by ChronosDB to You under the name PyChronos, including any Software updates and Documentation. You acknowledge that ChronosDB may provide multiple versions of the Software, some of which may be free of charge and others which may require payment. Under no circumstances shall you be entitled to anything but the specific version of the Software that ChronosDB provides to you at the time you enter into this Agreement.

“Technical Support” or “Support” means the end user support for the Software that may be provided by ChronosDB during the License Term, as defined in Section 3 below.

2. LICENSE GRANT; RESTRICTIONS; YOUR RESPONSIBILITIES

2.1 License Grant. Subject to the other terms, conditions and limitations hereof, ChronosDB grants to You during the License Term the non-transferable, non-exclusive license (a) to install and use the Software, subject to Your Authorized Use Limits, solely for Your own personal and internal business purposes (which business purposes may include use for open source projects and commercial projects) and in accordance with the Documentation; (b) to make a reasonable number of copies of the Software solely for archival and backup purposes; and (c) store or install a copy of the Software on a storage device such as a network server, used only to install or run the Software on Your other computers on an internal network up to your Authorized Use Limits. You may permit agents or contractors (including, without limitation, outsourcers) to use the Software on Your behalf solely for Your own personal and internal business purposes, provided that You are responsible for the agents', contractors' and outsourcers' compliance with this Agreement in such use. You must reproduce on all copies of the Software all copyright notices and other proprietary legends on the original copy of the Software.

2.2 Restrictions. The licenses granted to You in this Agreement are subject to the following additional restrictions: (i) Your use of the Software shall be limited to Your Authorized Use Limits and shall not be used either outside those Authorized Use Limits; (ii) You shall not license, sell, rent, lease, transfer, assign, distribute, host, outsource, disclose or otherwise commercially exploit or make the Software available to any third party except as expressly provided for in Section 2.1 above; (iii) You shall not modify, make derivative works of, disassemble, reverse compile, or reverse engineer any part of the Software, or access or use the Software in order to build a similar or competitive product or service; (iv) except as expressly stated in Section 2.1 above, no part of the Software may be copied, reproduced, distributed, republished, downloaded, displayed, posted or transmitted in any form or by any means, including but not limited to electronic, mechanical, photocopying, recording, or other means; and (v) You acknowledge and agree that ChronosDB shall own all right, title and interest in and to all intellectual property rights (including all derivatives or improvements thereof) in the Software and any suggestions, enhancement requests, feedback, recommendations or other information provided by You or any of Your agents, contractors and outsourcers relating to the Software.

2.3 Your Responsibilities. You shall register and use the Software only in accordance with the Documentation and applicable laws and government regulations. You shall not knowingly permit anyone to use the Software for purposes of deriving its source code or for purposes other than as authorized in this Agreement. You agree to use all reasonable efforts to ensure that persons employed by You or under Your direction and control abide by the terms and conditions of this Agreement. In the event You become aware that the Software is being used by such persons in a manner not authorized by this Agreement, You shall immediately notify ChronosDB in writing of such facts and You shall immediately use all reasonable efforts to have such unauthorized use of the Software immediately cease, and to recover any copies of the Software that were made in violation of this Agreement.

2.4 Usage and Other Data. The Software, by default, automatically collects and sends to ChronosDB and/or its third party agents (a) general usage information, such as actions and durations of those actions and (b) bug reports when the Software experiences a crash. This information is used by ChronosDB to improve the Software and related products and services. If you do not want ChronosDB to collect such general usage information and/or bug reports, You may opt out from the application settings screens.

3. TECHNICAL SUPPORT

During the License Term, You will be entitled to any general released updates for the Software (which may be automatically installed and/or made available for download), as well as access any online user guides, knowledge bases and self-help tools, or other technical support resources (collectively, “Technical Support”) offered by ChronosDB from time to time. Technical Support may be modified by ChronosDB in its sole discretion, effective immediately upon posting on the ChronosDB website.

4. INTELLECTUAL PROPERTY RIGHTS

4.1 Intellectual Property Rights. ChronosDB and its licensors own all right, title and interest to the Software and any modifications, ideas, or recommendations provided by You, together with all associated intellectual property rights. You assign to and agree that ChronosDB shall own and have the right to exploit and including in the Software any suggestions, enhancements requests, feedback, recommendations or other information provided by You related to the Software or any other ChronosDB product or service. This Agreement does not convey or transfer any ownership in the Software or any other ChronosDB product or service, or their associated intellectual property rights. Your license rights to the Software pursuant to this Agreement are strictly limited to the right to use in accordance with the terms of this Agreement. This Agreement provides You with no use rights to any other ChronosDB product or service. Should You desire to purchase other products or services, please contact ChronosDB for assistance in doing so.

4.2 Third Party Software. Use of some third-party materials (including open source materials) included in the Software or upon which the Software is dependent is subject to terms and conditions found in a separate agreement or “Read Me” file located in or near such materials (where the material is included with the Software), as well as posted on the Software’s about page. You acknowledge (a) Your receipt of such separate written agreements; (b) that You are bound by such terms and conditions; (c) and that Your breach of such terms and conditions shall also be deemed a breach of this Agreement.

5. LIMITED WARRANTIES; LIABILITY LIMITATIONS

5.1 To the fullest extent permitted by law, the Software is provided on an “AS IS” basis, WITHOUT REMEDIES OR WARRANTIES OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTW ARE IS BORNE BY YOU. CHRONOSDB DOES NOT REPRESENT OR W ARRANT THA T THE SOFTWARE WILL SATISFY YOUR REQUIREMENTS; WILL OPERATE WITHOUT INTERRUPTION; IS SECURE, FREE FROM BUGS, VIRUSES, INTERRUPTIONS, ERRORS, OR OTHER PROGRAM LIMITATIONS. YOU FURTHER ACKNOWLEDGE THAT THERE IS NO GUARANTEE THAT THE SOFTWARE WILL PERFORM AS YOU ANTICIPATE. YOU ASSUME ALL RESPONSIBILITY FOR DETERMINING WHETHER THE SOFTW ARE OR THE INFORMA TION GENERA TED THEREBY IS ACCURATE OR SUFFICIENT FOR YOUR PURPOSES. YOU ASSUME FALL RESPONSIBILITY FOR YOUR USE OF THE SOFTWARE, INCLUDING REGULARLY BACKING-UP YOUR DATA.

YOU EXPRESSLY AGREE THAT YOUR USE OF THE SOFTWARE IS AT YOUR SOLE RISK. IF YOU DOWNLOAD AND/OR USE THE SOFTWARE, YOU DO SO AT YOUR OWN DISCRETION AND RISK. YOU WILL BE SOLELY RESPONSIBLE FOR ANY DAMAGE TO YOUR COMPUTER SYSTEM OR MOBILE DEVICE OR LOSS OF DATA THAT RESULTS FROM THE USE OF THE SOFTWARE OR THE DOWNLOAD OF ANY SOFTWARE. WE RESERVE THE RIGHT TO RESTRICT OR TERMINATE YOUR ACCESS TO THE SOFTWARE OR ANY FEATURE OR PART THEREOF AT ANY TIME. CHRONOSDB ASSUMES NO RESPONSIBILITY FOR THE DELETION, MIS-DELIVERY OR FAILURE TO STORE ANY DATA OR PERSONALIZATION SETTINGS.

5.2 Limitation of Liability. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL CHRONOSDB BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY INCIDENTAL, CONSEQUENTIAL, PUNITIVE, SPECIAL, EXEMPLARY OR INDIRECT DAMAGES OF ANY TYPE OR KIND (INCLUDING LOST PROFITS, LOST SAVINGS, CURRENCY CONVERSION LOSSES, OR LOSS OF OTHER ECONOMIC ADVANTAGE) ARISING FROM BREACH OF WARRANTY OR BREACH OF CONTRACT, OR NEGLIGENCE, OR ANY OTHER LEGAL CAUSE OF ACTION ARISING FROM OR IN CONNECTION WITH THIS AGREEMENT OR CHRONOSDB'S PERFORMANCE HEREUNDER, INCLUDING WITHOUT LIMITATION THE SOFTWARE OR ANY INTERRUPTION OF USE OF THE SOFTWARE, EVEN IF CHRONOSDB HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.

IF YOU HAVE RECEIVED YOUR LICENSE FREE OF CHARGE, IT IS THE PARTIES EXPRESS INTENT THAT CHRONOSDB NOT BE LIABLE TO YOU FOR ANY MONETARY DAMAGES AND THAT YOUR SOLE REMEDY FOR ANY BREACH OF THIS AGREEMENT SHALL BE TERMINATION OF THE AGREEMENT. HOWEVER, IF IT IS DETERMINED BY A COURT OF COMPETENT JURISDICTION THAT SUCH LIMITATIONS OF LIABILITY IS NOT LEGALLY ENFORCEABLE, IN NO EVENT SHALL CHRONOSDB’S AGGREGATE LIABILITY ARISING OUT OF OR RELATED TO THIS AGREEMENT, WHETHER ARISING OUT OF OR RELATED TO BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, EXCEED $50.00 USD.

IF YOU HAVE PURCHASED A LICENSE, IN NO EVENT SHALL CHRONOSDB’S AGGREGATE LIABILITY ARISING OUT OF OR RELATED TO THIS AGREEMENT, WHETHER ARISING OUT OF OR RELATED TO BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, EXCEED THE TOTAL AMOUNT PAID BY YOU TO CHRONOSDB IN THE TWELVE (12) MONTHS IMMEDIATELY PROCEEDING THE EVENTS FIRST GIVING RISE TO A CLAIM.

6. TERM AND TERMINATION

6.1 License Term. The License Term is as specified by ChronosDB at the time of Your entering into this Agreement and specific to the version of PyChronos licensed to You. If Your license is limited in time, the License Term shall commence upon the date set forth on the Order Form and shall continue for the period of time set forth by ChronosDB at the time of Your order.

6.2 Termination; Effect of Expiration or Termination. In the event of any breach of this Agreement by either party, the non-breaching party shall have the right to terminate the Agreement for cause if such breach has not been cured within 30 days of written notice from the non-breaching party specifying the breach in detail. ChronosDB shall also have a right to terminate this Agreement for cause if You are in breach of any other agreement with ChronosDB. Upon any termination of the Agreement, (a) You shall immediately discontinue use of the Software and destroy all copies of the Software in Your possession or control; and (b) if ChronosDB requests, You agree to promptly provide ChronosDB with written certification of the destruction. The following provisions shall survive any termination of this Agreement: Sections 4, 5, 6, and 7.

7. GENERAL PROVISIONS

7.1 Notice. Notices regarding this Agreement to ChronosDB shall be in writing and sent by first class mail or overnight courier (if from within the USA), or international courier, addressed to ChronosDB at the address provided at the time of Your order. ChronosDB may give notice to You by electronic mail to Your e-mail address on record with ChronosDB, or by written communication sent by first class mail or overnight courier (if to an address within the USA), or international courier, to Your address on record in ChronosDB's account information. All notices shall be deemed to have been given three days after mailing or posting (if sent by first class mail), upon delivery in the case of courier, or 12 hours after sending by confirmed facsimile or e-mail.

7.2 Export. You agree that U.S. export control laws and other applicable export and import laws govern Your use of the Software. You represent that You are not a citizen of an embargoed country or prohibited end user under applicable U.S. export and anti-terrorism laws, regulations and lists. You will not use, export or allow a third party to use or export the Software in any manner that would violate applicable law, including but not limited to export control laws and regulations.

7.3 Force Majeure. Neither party will be responsible for failure of performance due to causes beyond its control. Such causes include (without limitation) accidents, acts of God, labor disputes, actions of any government agency, shortage of materials, acts of terrorism, or the stability or availability of the Internet or a portion thereof.

7.4 Governing Law; Jurisdiction. This Agreement shall be governed by the laws of the State of Delaware and controlling U.S. federal law. The Uniform Computer Information Transactions Act, the United Nations Convention on the International Sale of Goods, and choice of law rules of any jurisdiction will not apply to this Agreement. Any legal action or proceeding relating to this Agreement shall be instituted in a state or federal court in Delaware, and each party hereby submits to the personal jurisdiction of such courts and waives any defense relating to venue or forum non convenience.

7.5 Integration; Modification. This Agreement together with any purchase order, represents the parties' entire understanding relating to the subject matter herein, and supersedes any prior or contemporaneous, conflicting or additional, communications. Except as otherwise set forth herein, the terms and conditions of this Agreement may only be amended by written agreement of the parties. Nothing contained in any purchase order submitted by You shall in any way serve to modify or add to the terms of this Agreement.

7.6 Severability. If any provision of this Agreement is determined to be illegal or unenforceable, that provision will be limited to the minimum extent necessary so that this Agreement shall otherwise remain in full force and effect.

7.7 Relationship of Parties. No joint venture, partnership, employment, or agency relationship exists between ChronosDB and You as a result of this Agreement or use of the Software.

7.8 Waiver. The failure of either party to enforce any right or provision in this Agreement shall not constitute a waiver of such right or provision unless acknowledged and agreed to by such party in writing.
